> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# List Airports

> List all configured airports with terminals and gates

Retrieve all airports configured in workspace flight settings, including their terminals and active gates.

## Request

```bash theme={null}
curl -X GET "https://api.series.hr/flights/airports" \
  -H "apikey: YOUR_API_KEY"
```

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "MainAirportId": "apt_1",
      "Airports": [
        {
          "Id": "apt_1",
          "Name": "Robloxia International Airport",
          "IataCode": "RBLX",
          "IcaoCode": "KRBX",
          "City": "Robloxia",
          "Country": "United States",
          "Terminals": [
            { "Id": "term_1", "Name": "Terminal 1", "Description": "Domestic" },
            { "Id": "term_2", "Name": "Terminal 2", "Description": "International" }
          ],
          "Gates": [
            { "Id": "gate_1", "Name": "Gate A1", "TerminalId": "term_1", "Terminal": "Terminal 1", "Enabled": true },
            { "Id": "gate_2", "Name": "Gate A2", "TerminalId": "term_1", "Terminal": "Terminal 1", "Enabled": true },
            { "Id": "gate_3", "Name": "Gate B1", "TerminalId": "term_2", "Terminal": "Terminal 2", "Enabled": true }
          ]
        }
      ]
    }
  }
  ```
</ResponseField>

## Status Codes

* `200`: Airports returned successfully
* `401`: API key is required
* `403`: Flights module is not enabled
